Fetch an order
curl --request GET \
--url https://signsealship.com/api/partner/orders/{code} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://signsealship.com/api/partner/orders/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/partner/orders/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"requestId": "<string>",
"orderCode": "<string>",
"orderUrl": "<string>",
"status": "<string>",
"services": "Sign, Notarize, Ship",
"envelopeStatus": "<string>",
"externalReference": "<string>",
"customerEmail": "<string>",
"subtotalCents": 123,
"discountCents": 123,
"totalCents": 123,
"lines": [
{
"type": "<string>",
"label": "<string>",
"amountCents": 123
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "A valid partner API key is required."
}{
"error": "<string>"
}Endpoints
Fetch an order
Fetch one of your orders by its public code. Partner-scoped: another partner’s order and an unknown code return the identical 404. Rate limited with partner-write (60/min per key).
GET
/
api
/
partner
/
orders
/
{code}
Fetch an order
curl --request GET \
--url https://signsealship.com/api/partner/orders/{code} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://signsealship.com/api/partner/orders/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/partner/orders/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"requestId": "<string>",
"orderCode": "<string>",
"orderUrl": "<string>",
"status": "<string>",
"services": "Sign, Notarize, Ship",
"envelopeStatus": "<string>",
"externalReference": "<string>",
"customerEmail": "<string>",
"subtotalCents": 123,
"discountCents": 123,
"totalCents": 123,
"lines": [
{
"type": "<string>",
"label": "<string>",
"amountCents": 123
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "A valid partner API key is required."
}{
"error": "<string>"
}Authorizations
Response
The order.